summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2010-05-11 22:55:25 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:25 +0200
commitac86efbc483a1c3dd2988a8ad865332baf1dc8d3 (patch)
tree010d580c54b907698cce6450cd610ff4917c024c /system
parent36cfa2e44bffd3aa5a2d41ced82ca7c0befb23e2 (diff)
downloadslackbuilds-ac86efbc483a1c3dd2988a8ad865332baf1dc8d3.tar.gz
slackbuilds-ac86efbc483a1c3dd2988a8ad865332baf1dc8d3.tar.xz
system/opensc: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/opensc/README19
-rw-r--r--system/opensc/doinst.sh15
-rw-r--r--system/opensc/opensc.SlackBuild99
-rw-r--r--system/opensc/opensc.info8
-rw-r--r--system/opensc/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/system/opensc/README b/system/opensc/README
new file mode 100644
index 0000000000..f031dd5748
--- /dev/null
+++ b/system/opensc/README
@@ -0,0 +1,19 @@
+SmartCard utilities/libraries for PKCS#11/15 compatible cards
+
+This package provides a set of libraries and utilities to access smart
+cards. Its main focus is on cards that support cryptographic operations,
+and facilitate their use in security applications such as mail encryption,
+authentication, and digital signature. OpenSC implements the PKCS#11
+API so applications supporting this API such as Mozilla Firefox and
+Thunderbird can use it. OpenSC implements the PKCS#15 standard and aims
+to be compatible with every software that does so, too.
+
+It depends on: pcsc-lite and openct (both of which are available on
+SlackBuilds).
+
+You may need to edit /etc/opensc.conf in order to use a particular backend
+and smartcard.
+
+Beware! Smartcards have usually a limited number of times you may try a
+wrong PIN/PUK combination before they become inoperable/permanently
+blocked. You have been warned!
diff --git a/system/opensc/doinst.sh b/system/opensc/doinst.sh
new file mode 100644
index 0000000000..aeee8de287
--- /dev/null
+++ b/system/opensc/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/opensc.conf.new
+
diff --git a/system/opensc/opensc.SlackBuild b/system/opensc/opensc.SlackBuild
new file mode 100644
index 0000000000..b9c0a22244
--- /dev/null
+++ b/system/opensc/opensc.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for opensc
+
+# Copyright 2008 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=opensc
+VERSION=${VERSION:-0.11.6}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="README COPYING NEWS"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --datarootdir=/usr/share \
+ --mandir=/usr/man \
+ --enable-pcsc \
+ --enable-nsplugin \
+ --enable-doc \
+ --enable-openct \
+ --with-pinentry=/usr/bin/pinentry \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Don't clobber the config file
+mv $PKG/etc/opensc.conf $PKG/etc/opensc.conf.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/opensc/opensc.info b/system/opensc/opensc.info
new file mode 100644
index 0000000000..1b63059623
--- /dev/null
+++ b/system/opensc/opensc.info
@@ -0,0 +1,8 @@
+PRGNAM="opensc"
+VERSION="0.11.6"
+HOMEPAGE="http://www.opensc-project.org/opensc/"
+DOWNLOAD="http://www.opensc-project.org/files/opensc/opensc-0.11.6.tar.gz"
+MD5SUM="a426759f11350c32af2f17a5cd4d5938"
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="rworkman"
diff --git a/system/opensc/slack-desc b/system/opensc/slack-desc
new file mode 100644
index 0000000000..d660144068
--- /dev/null
+++ b/system/opensc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+opensc: opensc (SmartCard utilities/libraries for PKCS#11/15 compatible cards)
+opensc:
+opensc: It provides a set of libraries and utilities to access smart cards. Its
+opensc: main focus is on cards that support cryptographic operations, and
+opensc: facilitate their use in security applications such as mail encryption,
+opensc: authentication, and digital signature. OpenSC implements the PKCS#11
+opensc: API so applications supporting this API such as Mozilla Firefox and
+opensc: Thunderbird can use it. OpenSC implements the PKCS#15 standard and aims
+opensc: to be compatible with every software that does so, too.
+opensc:
+opensc: Homepage: http://www.opensc-project.org/opensc/